Loading...
Searching...
No Matches
error_handler.h File Reference
`#include "platform.h"`
`#include "exception.h"`
`#include "function.h"`
`#include "nullptr.h"`
`#include <assert.h>`

Go to the source code of this file.

## Macros

#define | ETL_ASSERT(b, e)
#define | ETL_ASSERT_OR_RETURN(b, e)
#define | ETL_ASSERT_OR_RETURN_VALUE(b, e, v)
#define | ETL_ASSERT_FAIL(e)
#define | ETL_ASSERT_FAIL_AND_RETURN(e)
#define | ETL_ASSERT_FAIL_AND_RETURN_VALUE(e, v)
#define | ETL_ASSERT_CHECK_PUSH_POP(b, e)
#define | ETL_ASSERT_CHECK_PUSH_POP_OR_RETURN(b, e)
#define | ETL_CHECKING_INDEX_OPERATOR 0
#define | ETL_NOT_CHECKING_INDEX_OPERATOR 1
#define | ETL_ASSERT_CHECK_INDEX_OPERATOR(b, e)
#define | ETL_CHECKING_EXTRA 0
#define | ETL_NOT_CHECKING_EXTRA 1
#define | ETL_ASSERT_CHECK_EXTRA(b, e)
#define | ETL_ERROR(e)
#define | ETL_ERROR_WITH_VALUE(e, v)
#define | ETL_ERROR_TEXT(verbose_text, terse_text)
#define | ETL_ERROR_GENERIC(text)

## Macro Definition Documentation

## ETL_ASSERT_FAIL

#define ETL_ASSERT_FAIL | ( |  | e | ) |

Value:
ETL_DO_NOTHING

## ETL_ASSERT_FAIL_AND_RETURN

#define ETL_ASSERT_FAIL_AND_RETURN | ( |  | e | ) |

Value:
do { \
return; \
} while (false)

## ETL_ASSERT_FAIL_AND_RETURN_VALUE

#define ETL_ASSERT_FAIL_AND_RETURN_VALUE | ( |  | e,
|  |  | v )

Value:
do { \
return (v); \
} while (false)

## ETL_ASSERT_OR_RETURN

#define ETL_ASSERT_OR_RETURN | ( |  | b,
|  |  | e )

Value:
do { \
if (!(b)) ETL_UNLIKELY \
return; \
} while (false)

## ETL_ASSERT_OR_RETURN_VALUE

#define ETL_ASSERT_OR_RETURN_VALUE | ( |  | b,
|  |  | e,
|  |  | v )

Value:
do { \
if (!(b)) ETL_UNLIKELY \
return (v); \
} while (false)

## ETL_ERROR

#define ETL_ERROR | ( |  | e | ) |

Value:
(e("", -1))

## ETL_ERROR_GENERIC

#define ETL_ERROR_GENERIC | ( |  | text | ) |

Value:
(etl::exception((text), "", -1))
etl::exception
Definition exception.h:59

## ETL_ERROR_TEXT

#define ETL_ERROR_TEXT | ( |  | verbose_text,
|  |  | terse_text )

Value:
(terse_text)

## ETL_ERROR_WITH_VALUE

#define ETL_ERROR_WITH_VALUE | ( |  | e,
|  |  | v )

Value:
(e("", -1, (v)))